🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Moon Biorhythm

The moon_biorhythm API provides information about an individual's birth pakshi and its details, along with the recommended activities to perform during the day and night based on the moon's position.
POSThttps://json.astrologyapi.com/v1/moon_biorhythm

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en, Hindi - hi, Marathi - ma, Bengali - bn, Tamil - ta, Telugu - te, Malayalam - ml, Kannada - kn.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

curl --location 'https://json.astrologyapi.com/v1/moon_biorhythm' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5
}'
Try it

Runs with sample data β€” no API key needed

{
  "birth_pakshi": "Peacock",
  "bird_id": 4,
  "birth_pakshi_details": {
    "name_letter": [
      "EA",
      "EAA"
    ],
    "death_day": [
      "Wednesday",
      "Friday"
    ],
    "day_ruling_days": [
      "Monday",
      "Saturday"
    ],
    "night_ruling_days": [
      "Friday"
    ],
    "color": "Green",
    "direction": "West",
    "enemy": [
      "Owl",
      "Crow"
    ],
    "friend": [
      "Vulture",
      "Cock"
    ]
  },
  "activity_cycle": {
    "day": [
      {
        "start_time": "06:03:02",
        "end_time": "08:28:33",
        "start_hours": 6.0508,
        "end_hours": 8.476,
        "activity_id": 3,
        "activity": "Sleep",
        "activity_meaning": "Relax"
      },
      {
        "start_time": "08:28:33",
        "end_time": "10:54:04",
        "start_hours": 8.476,
        "end_hours": 10.9012,
        "activity_id": 4,
        "activity": "Die",
        "activity_meaning": "Caution"
      },
      {
        "start_time": "10:54:04",
        "end_time": "13:19:34",
        "start_hours": 10.9012,
        "end_hours": 13.3263,
        "activity_id": 1,
        "activity": "Eat",
        "activity_meaning": "Energize"
      },
      {
        "start_time": "13:19:34",
        "end_time": "15:45:05",
        "start_hours": 13.3263,
        "end_hours": 15.7515,
        "activity_id": 2,
        "activity": "Walk",
        "activity_meaning": "Action"
      },
      {
        "start_time": "15:45:05",
        "end_time": "18:10:36",
        "start_hours": 15.7515,
        "end_hours": 18.1767,
        "activity_id": 0,
        "activity": "Rule",
        "activity_meaning": "Succeed"
      }
    ],
    "night": [
      {
        "start_time": "18:10:36",
        "end_time": "20:36:19",
        "start_hours": 18.1767,
        "end_hours": 20.6053,
        "activity_id": 3,
        "activity": "Sleep",
        "activity_meaning": "Relax"
      },
      {
        "start_time": "20:36:19",
        "end_time": "23:02:02",
        "start_hours": 20.6053,
        "end_hours": 23.034,
        "activity_id": 1,
        "activity": "Eat",
        "activity_meaning": "Energize"
      },
      {
        "start_time": "23:02:02",
        "end_time": "01:27:45",
        "start_hours": 23.034,
        "end_hours": 25.4627,
        "activity_id": 0,
        "activity": "Rule",
        "activity_meaning": "Succeed"
      },
      {
        "start_time": "01:27:45",
        "end_time": "03:53:28",
        "start_hours": 25.4627,
        "end_hours": 27.8913,
        "activity_id": 4,
        "activity": "Die",
        "activity_meaning": "Caution"
      },
      {
        "start_time": "03:53:28",
        "end_time": "06:19:12",
        "start_hours": 27.8913,
        "end_hours": 30.32,
        "activity_id": 2,
        "activity": "Walk",
        "activity_meaning": "Action"
      }
    ]
  },
  "considered_date": "20-3-2024"
}